Вход | Регистрация
 

Отключение контроля режима совместимости

Отключение контроля режима совместимости
Я
   g00d
 
09.12.20 - 08:37
привет всем,
как всегда 1сники выпустили новую версию резко поднявшую минимальные требования по платформе. Делюсь простым и быстрым решение

В связи с регулярным повышением требований к минимальным платформам и периодическим отсутствием возможности обновления платформы, предлагаю решение без снятия конфигурации с поддержки, то же самое будет работать на любой другой БСП конфигурациях с режимом совместимости выше 8.3.9.

!!!ОЧЕНЬ ОЧЕНЬ ВАЖНО!!!
Отключение требований к минимальной платформе, может привести к некорректной работе конфигурации 1С и даже к потере данных.
Данная информация предоставлена исключительно в ознакомительный целях для изучения возможностей библиотеки стандартных подсистем.
Любые изменения конфигурации вы осуществляете на свой страх и риск, полагаясь только на себя и берете на себя всю ответственность за все возможные последствия.
Открываем конфигуратор

Вводим в поиск метаданных конфигуратора и открываем общий модуль ОбщегоНазначенияПереопределяемый
Добавляем этот модуль в расширение конфигурации, по необходимости создаем новое расширение
Вставляем в  модуль текст

&После("ПриОпределенииОбщихПараметровБазовойФункциональности")
Процедура хц_ПриОпределенииОбщихПараметровБазовойФункциональности(ОбщиеПараметры) Экспорт

    СистемнаяИнформация = Новый СистемнаяИнформация;
    ОбщиеПараметры.Вставить("МинимальнаяВерсияПлатформы",          СистемнаяИнформация.ВерсияПриложения);
    ОбщиеПараметры.Вставить("РекомендуемаяВерсияПлатформы",     СистемнаяИнформация.ВерсияПриложения);
    
КонецПроцедуры


Снимаем обе галочки в свойствах расширения, сохраняете  и все готово к использованию
На картинках можно увидеть ту же последовательность.

Важно!

Отдельные подсистемы БСП могут иметь свои требования к минимальной версии платформы, делаете глобальный поиск по "МинимальнаяВерсияПлатформы", а дальше вы знаете, что делать.
пс кому лень, можете скачать расширением https://yadi.sk/d/uND8JmWBQHGOHQ
   g00d
 
1 - 09.12.20 - 08:40
Не всегда можно оперативно обновить платформу, это временный костыль.
Естественно после обновление платформы, это расширение лучше отключить.
   ДенисЧ
 
2 - 09.12.20 - 08:41
   g00d
 
3 - 09.12.20 - 08:42
Тем у кого много баз, это расширение отлично массово ставится через обновлятор
   g00d
 
4 - 09.12.20 - 08:43
(2) а че делать то? я вот утром проснулся и 120баз НЕ РАБОЧИЕ, потому что платформа сервера 8.3.18.1128, а минимальная версия БП3 теперь 8.3.18.1208...
   ДенисЧ
 
5 - 09.12.20 - 08:44
(4) Пока ты спал, базы сами обновились?
   g00d
 
6 - 09.12.20 - 08:47
(5) а ты их обновляешь вручную?
Обновлятором, причем раньше он контролировал требования по совместимости, но видимо 1сники что поменяли и обновлятор не отловил.
   ДенисЧ
 
7 - 09.12.20 - 08:48
(6) Когда я их обновляю - я сначала тестирую на кошках, а не сразу ФФП. А кошки мне заранее расскажут, что и как.
   g00d
 
8 - 09.12.20 - 08:51
(7) смысла нет, все базы типовые на поддержке без изменений.  Да и много их, очень.
   ДенисЧ
 
9 - 09.12.20 - 08:52
(8) А санкта симплиситас! (с)
А что, в типовых обновлениях ни разу ошибок не было?
   g00d
 
10 - 09.12.20 - 08:55
(9) всегда есть бакапы, проще потратить полчаса в году на ремонт, чем месяца в году на тестирования
   ДенисЧ
 
11 - 09.12.20 - 08:57
(10) Ну, если ты в луврах ставишь исправление ошибок отдельной строкой и по тройной цене - тотогда ладно
   g00d
 
12 - 10.12.20 - 10:23
и вчера вышла ЗУП с минимальными  требованиями 8.3.18.1208
   Ногаминебить
 
13 - 10.12.20 - 10:27
(4) А я вчера предупреждал. :)
   shotsdv2008
 
14 - 15.12.20 - 12:49
Как реально отключить режим совместимости у базовой 1С? Все пишут, что нет проблем, а я не могу - все эти галочки недоступны...
   Mankubus
 
15 - 15.12.20 - 12:50
(14) на то она и базовая
   ДенисЧ
 
16 - 15.12.20 - 12:50
(14) Никак
   shotsdv2008
 
17 - 15.12.20 - 16:53
на сайте ИТС написано, что можно, но не написано - как...
   shotsdv2008
 
18 - 15.12.20 - 17:51
С расширения надо снимать режим совместимости и всё работает...
   Dmitrii
 
19 - 15.12.20 - 18:07
Маразм крепчает.
Вместо того, чтобы прочитать файлик readme.txt из комплекта поставки перед установкой обновления предлагается выполнение потенциально опасных действий с непредсказуемыми последствиями.
Я уже молчу о том, что у большого количества 1С-ников почему-то вызывает огромные трудности настройка административного обновления платформы 1С на всех компах в сети. А если административная установка сделана, то обновить платформу значительно проще, чем вкорячивать опасное расширение во множество баз.

Список тем форума
 
ВНИМАНИЕ! Если вы потеряли окно ввода сообщения, нажмите Ctrl-F5 или Ctrl-R или кнопку "Обновить" в браузере.
Тема не обновлялась длительное время, и была помечена как архивная. Добавление сообщений невозможно.
Но вы можете создать новую ветку и вам обязательно ответят!
Каждый час на Волшебном форуме бывает более 2000 человек.